
Figure - Bug #118955
【VC1】【0116】【台架】【副屏】副屏使用蓝牙耳机音频可以正常播放但没有声音输出，断开蓝牙后点击播
放无效
2023-07-02 14:31 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-07-02

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0116

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-08-02

Test Type: ST Root cause: AudioService 焦点请求超时。

Description

【前置条件】

DCT正常工作

DCT蓝牙连接中

【问题时间】

2023.7.2 14：03

【操作步骤】

1.副屏处于高cpu占用和高内存占用状态

2.将cpu工作恢复正常工作，内存占用恢复正常

3.打开qq音乐播放音乐

4.断开蓝牙播放音乐

5.中控播放音乐

【实际结果】

3.蓝牙无声音输出

4.点击播放按钮会回弹到暂停

5.提示‘多媒体暂时无法使用’

【预期结果】

3.蓝牙有声音输出

4.正常播放出声

5.正常播放

【备注】

本地音乐和酷狗音乐同样的问题

出现该现象后  后续操作都是必现

History

#1 - 2023-07-03 10:23 - CD FW 曹覃刚

- Category changed from CD-FW to AUDIO-FW

- Assignee changed from CD FW 曹覃刚 to Multimedia组-RD3_TSCD 梁卿山

#2 - 2023-07-03 11:39 - Multimedia组-RD3_TSCD 梁卿山

- Category changed from AUDIO-FW to CD-FW

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD FW 曹覃刚

Hi ALL

2025-07-04 1/4



当前日志只有14:24时的日志，从日志来看，中控没有给副屏焦点；

当前判断，应该是中控处于了voice call的状态，当前由于14：02时的日志，所以无法分析。

78893:07-02 14:24:14.141  2151  6214 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1688279054134542998',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1688279054134542998,"methodName":"reque

stAudioFocus","parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media"}}}}

78911:07-02 14:24:14.179  2151  6222 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='1688279054134542998',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"requestAudioFocus","messageType":1,"uuid":1688279

054134542998,"parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_FAILED"

}}}}

78912:07-02 14:24:14.179  2151  6222 I MicroService: onResponse(requestAudioFocus):

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_FAILED"}}

78913:07-02 14:24:14.179  1560  9227 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_FAILED"}}

下一步：

尝试复现该现象，进一步分析。

#3 - 2023-07-03 11:39 - Multimedia组-RD3_TSCD 梁卿山

- Category changed from CD-FW to AUDIO-FW

- Assignee changed from CD FW 曹覃刚 to Multimedia组-RD3_TSCD 梁卿山

#4 - 2023-07-03 16:37 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD FW-廖涛

Hi ALL

经过分析，发现在断开蓝牙申请焦点时，微服务转发焦点结果时慢了导致了超时，导致了后面的焦点无法释放成功，出现异常。

56315:07-03 15:46:29.540  1514  9452 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus, audiSource = AudioFocus_VoiceCall

56316:07-03 15:46:29.540  1514  9452 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus bluetooth.AudioFocus_VoiceCall

56317:07-03 15:46:29.540  1514  9452 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus,  streamtype = 0

56318:07-03 15:46:29.540  1514  9452 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus: AudioFocus_VoiceCall

56319:07-03 15:46:29.540  1514  9452 D AudioIDCMicroNegotiator: idcm_common:requestResult method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}

56320:07-03 15:46:29.540  1514  9452 I MicroServiceManager: requestResult(requestAudioFocus) parameters

is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}.

56321:07-03 15:46:29.540  1514  9452 D AudioIDCMicroNegotiator: idcm_af:updateAudioInfo

56322:07-03 15:46:29.540  1514  9452 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState

56324:07-03 15:46:29.544  2113  6275 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1688370389540724717',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1688370389540724717,"methodName":"reque

stAudioFocus","parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}}} ★★★ 微服务发消息申请焦点

56337:07-03 15:46:29.579  2113  6299 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='1688370389540724717',
payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"requestAudioFocus","messageType":1,"uuid":1688370

389540724717,"parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRA

NTED"}}}}

56341:07-03 15:46:29.579  2113  6299 I MicroService: onResponse(requestAudioFocus):

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}} ★★★ 微服务接

收到消息处理

56382:07-03 15:46:30.141  1514  9452 W AudioIDCMicroNegotiator: idcm_warn: timeout for obtainFocusState: null ★★★ 等待时间超时，焦点更新为0

56383:07-03 15:46:30.141  1514  9452 D AudioIDCMicroNegotiator: idcm_af:notifyFocusState -> notify

56386:07-03 15:46:30.141  1514  9452 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState, return: 0 mIsTimeout= true time= 601

56387:07-03 15:46:30.141  1514  1868 D AudioIDCMicroNegotiator: idcm_af:wait messsage done -> onAudioFocusRemoteChanged

56904:07-03 15:46:30.198  1514  9452 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}} ★★★ 微服务真

正调用到audio侧的日志。

下一步：

麻烦微服务测看看，为什么转发消息慢了。

#5 - 2023-08-02 14:53 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 物联网测试组_TSCD 王维

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-08-02

- Root cause set to AudioService 焦点请求超时。

■ Current conclusion

微服务消息转发是通过 Binder，串行执行的，目前暂无更好的优化方案。

通过和卿山的沟通，AudioService 已经将超时时间调长，并且做了延迟处理。

■ Next action

麻烦测试验证，观察几个版本，如不复现，麻烦关闭这个票。

#6 - 2023-08-02 14:53 - CD FW-廖涛

- Degrated changed from -- to No

#7 - 2023-09-11 16:25 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#8 - 2023-09-11 16:28 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

已在下列版本中验证通过

01.00.0138
01.00.0140

01.00.0142

Files

zk10.7z 4.84 MB 2023-07-02 物联网测试组_TSCD 王维

fp10.txt 13.4 MB 2023-07-02 物联网测试组_TSCD 王维

中科创达软件股份有限公司20230702-142703.mp4 18.4 MB 2023-07-02 物联网测试组_TSCD 王维
